メインコンテンツへスキップ

概要

このエンドポイントでは、現在公開されているアクティブなモデルの料金面を一覧できます。 ある 1 つのモデルの完全な料金詳細や構造化された料金・出典情報を確認する場合は、モデル料金の取得 を優先してください。

クエリパラメータ

provider
string
openaianthropicgoogle などの任意のプロバイダーフィルタです。
tag
string
chatimagevideoembeddingtranslation などの任意のモデルタグフィルタです。

レスポンス

object
string
常に pricing です。
updated_at
string
レスポンスに含まれる最新の料金エントリの ISO タイムスタンプです。
currency
string
常に USD です。
data
array
料金エントリの配列です。各項目には modelprovideris_lock_pricecapabilitiesaliases、および上のインタラクティブ schema が返す公開のスカラー値または構造化された料金サマリー項目が含まれます。
curl "https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat" \
  -H "Authorization: Bearer sk-your-api-key"
import requests

response = requests.get(
    "https://api.tokenlab.sh/v1/pricing",
    headers={"Authorization": "Bearer sk-your-api-key"},
    params={"provider": "openai", "tag": "chat"}
)

print(response.json())
const response = await fetch(
  'https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat',
  {
    headers: { 'Authorization': 'Bearer sk-your-api-key' }
  }
);

const data = await response.json();
console.log(data);
package main

import (
    "encoding/json"
    "fmt"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("GET", "https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat", nil)
    req.Header.Set("Authorization", "Bearer sk-your-api-key")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    var result map[string]interface{}
    json.NewDecoder(resp.Body).Decode(&result)
    fmt.Println(result)
}
<?php
$ch = curl_init('https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat');

curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer sk-your-api-key'
    ]
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
{
  "object": "pricing",
  "updated_at": "2026-04-20T00:00:00.000Z",
  "currency": "USD",
  "data": [
    {
      "model": "gpt-4o",
      "provider": "openai",
      "is_lock_price": false,
      "capabilities": ["chat"],
      "aliases": ["gpt-4o-latest"],
      "pricing": {
        "input_per_1m": "2.50",
        "output_per_1m": "10.00",
        "per_request": null,
        "is_lock_price": false,
        "currency": "USD"
      }
    }
  ]
}
正確なレスポンス schema は上記のインタラクティブ OpenAPI パネルで確認してください。公開料金エントリには lock_price_per_requesthas_complex_pricingsupported_operationspricing_summarypricing_provenance も含まれる場合があります。